edu.wpi.first.wpilibj.interfaces

## Enum Accelerometer.Range

- java.lang.Object
- - java.lang.Enum<Accelerometer.Range>
  - - edu.wpi.first.wpilibj.interfaces.Accelerometer.Range

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Accelerometer.Range>
  Enclosing interface:
    Accelerometer

      public static enum Accelerometer.Range
      extends java.lang.Enum<Accelerometer.Range>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `k16G`
    `k2G`
    `k4G`
    `k8G`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Accelerometer.Range` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Accelerometer.Range[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### k2G

          public static final Accelerometer.Range k2G

    - #### k4G

          public static final Accelerometer.Range k4G

    - #### k8G

          public static final Accelerometer.Range k8G

    - #### k16G

          public static final Accelerometer.Range k16G

  - ### Method Detail

    - #### values

          public static Accelerometer.Range[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Accelerometer.Range c : Accelerometer.Range.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Accelerometer.Range valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null